# 列表的拷贝操作可以分为几种？有什么区别？
# 1. 列表的拷贝方式有三种
# 引用拷贝  alist = blist
# 浅拷贝    clist = blist.copy
# 深拷贝    dlist = copy.deepcopy(blist)
import copy

blist = [1,2,3,4,5,6,7,8,9,10]
alist = blist
print(alist)
print("---------------------")
clist = blist.copy()
print(clist)
print("---------------------")
dlist = copy.deepcopy(blist)
print(dlist)
print("---------------------")
print("clist的地址:",id(alist))
print("clist的地址:",id(blist))
print("clist的地址:",id(clist))
print("clist的地址:",id(dlist))
# 可以得出 引用拷贝的 值的地址是相同的
# 而浅拷贝和深拷贝则都是 拷贝到一个新的内存地址